Skip to main content
O&M Management/Monitoring APIs/Monitoring and Alarm APIs/Event Subscription
PUTEvent SubscriptionSince 3.9.0SynchronousAuth Required

Update Event Subscription Label

Update Event Subscription Label

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the original event subscription label. Uniquely identifies the resource

Body Fields

  • updateeventsubscriptionlabelObjectRequired

    updateeventsubscriptionlabel request body object.

    • keyStringRequired

      The new name of the label

    • valueStringRequired

      The new value of the label

    • operatorStringRequired

      The new operator of the label

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null on success. See error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, such as SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root error

  • inventoryEventSubscriptionLabelInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the resource. Uniquely identifies the resource

    • keyStringRequired

      The label name

    • valueStringRequired

      The label value

    • operatorOperatorRequired

      See operator

      • opStringRequired

        操作符。

      • nameStringRequired

        The resource name

      • ordinalintRequired

        No description provided.

Endpoint

PUT/zstack/v1/zwatch/events/subscriptions/labels/{uuid}/actions

/zstack/v1/zwatch/events/subscriptions/labels/{uuid}/actions

Operation ID

UpdateEventSubscriptionLabel

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zwatch/events/subscriptions/labels/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateeventsubscriptionlabel":{"key":"<key>","value":"<value>","operator":"<operator>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "d937a1c6d9de3f2285b0cb23316624a8", "key": "VMUuid", "operator": "Equal", "value": "19cf33283b484ff6b73a6d98e1d762f5" } }

Change History

This API has no change history records yet.

View all change history